---
import DoubleGardenSection from "../components/DoubleGardenSection.astro";
import DoubleSection from "../components/DoubleSection.astro";
import DoubleViewSection from "../components/DoubleViewSection.astro";
import FamilySection from "../components/FamilySection.astro";
import Footer from "../components/Footer.astro";
import HeroSection from "../components/HeroSection.astro";
import LandingHeader from "../components/LandingHeader.astro";
import TripleSection from "../components/TripleSection.astro";
import TripleViewSection from "../components/TripleViewSection.astro";
import Layout from "../layouts/Layout.astro";
---

<Layout title="Ca la Caputxeta">
  <LandingHeader />

  <main
    class="snap-y snap-mandatory relative w-full h-screen overflow-y-auto overflow-x-hidden scroll-smooth"
  >
    <div class="snap-center">
      <HeroSection />
    </div>
    <div class="snap-center">
      <DoubleViewSection />
    </div>
    <div class="snap-center">
      <DoubleGardenSection />
    </div>
    <div class="snap-center">
      <DoubleSection />
    </div>
    <div class="snap-center">
      <TripleViewSection />
    </div>
    <div class="snap-center">
      <TripleSection />
    </div>
    <div class="snap-center">
      <FamilySection />
    </div>
    <div class="snap-center">
      <Footer />
    </div>
  </main>
</Layout>
